import pygame

pygame.init()

screen = pygame.display.set_mode((500, 500))
pygame.display.set_caption("draw a square")

running = True

while running:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False

    surface = pygame.Surface((500, 500))
    surface.fill((255, 0, 0))

    color = (0, 0, 255)
    rect = (200, 200, 100, 100)
    pygame.draw.rect(surface, color, rect)

    screen.blit(surface, (0, 0))
    pygame.display.flip()
